### Function

# CoglPango show_layout_line

#### Declaration [src]

    void
    cogl_pango_show_layout_line (
      CoglFramebuffer* framebuffer,
      PangoLayoutLine* line,
      float x,
      float y,
      const CoglColor* color
    )

#### Description [src]

Draws a solidly coloured `line` on the given `framebuffer` at (`x`, `y`) within the `framebuffer`‘s current model-view coordinate space.

This function is not directly available to language bindings.

#### Parameters

`framebuffer`

  Type: `CoglFramebuffer`

  A `CoglFramebuffer` to draw too.

  The data is owned by the caller of the function.

`line`

  Type: `PangoLayoutLine`

  A `PangoLayoutLine`.

  The data is owned by the caller of the function.

`x`

  Type: `float`

  X coordinate to render the line at.

`y`

  Type: `float`

  Y coordinate to render the line at.

`color`

  Type: `CoglColor`

  Color to use when rendering the line.

  The data is owned by the caller of the function.